PUT api/v1/ExpertTips/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
ExpertTip| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ExpertType | byte |
None. |
|
| Title | string |
None. |
|
| Description | string |
None. |
|
| IconKey | string |
None. |
|
| AgeMinMonths | integer |
None. |
|
| AgeMaxMonths | integer |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"expertType": 64,
"title": "sample string 3",
"description": "sample string 4",
"iconKey": "sample string 5",
"ageMinMonths": 6,
"ageMaxMonths": 1,
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:08.2081111+03:00",
"updatedAt": "2026-04-18T15:02:08.2081111+03:00"
}
application/xml, text/xml
Sample:
<ExpertTip xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <AgeMaxMonths>1</AgeMaxMonths> <AgeMinMonths>6</AgeMinMonths> <CreatedAt>2026-04-18T15:02:08.2081111+03:00</CreatedAt> <Description>sample string 4</Description> <DisplayOrder>1</DisplayOrder> <ExpertType>64</ExpertType> <IconKey>sample string 5</IconKey> <Id>1</Id> <IsActive>true</IsActive> <IsDeleted>true</IsDeleted> <Title>sample string 3</Title> <UpdatedAt>2026-04-18T15:02:08.2081111+03:00</UpdatedAt> </ExpertTip>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.